#
# spec file for package m17n-db
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           m17n-db
Version:        1.8.9
Release:        1.1
Summary:        Database Needed by the m17n Library m17n-lib
License:        GPL-2.0-or-later AND LGPL-2.1-or-later AND SUSE-Public-Domain AND MIT
Group:          System/I18n/Japanese
URL:            https://www.m17n.org/m17n-lib/
Source0:        http://download.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz
Patch0:         bnc429430-ar-kbd.patch

BuildRequires:  glibc-i18ndata
BuildRequires:  pkgconfig
Provides:       m17n-contrib > 1.1.14
Obsoletes:      m17n-contrib <= 1.1.14
BuildArch:      noarch

%description
Database that is needed by the m17n library "m17n-lib".

%lang_package

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install
%find_lang m17n-db

%files
%license COPYING
%doc AUTHORS NEWS README ChangeLog
%dir %{_datadir}/m17n/
%{_datadir}/m17n/*
%{_bindir}/*
%{_datadir}/pkgconfig/m17n-db.pc

%files lang -f m17n-db.lang

%changelog
* Sun Jan  5 2025 Marguerite Su <i@marguerite.su>
- update to 1.8.9
  * mr-gamabhana.mim
  * ar-translit.mim: Use Shift+t(T) in ar-translit.mim to
    input the Arabic tatweel
* Sun Nov 12 2023 Dirk Müller <dmueller@suse.com>
- update to 1.8.5:
  * new-newa-traditional-extended: New input method
  * ml-pn-c: New input method for Malayalam
  * en-pn-eqf: This is a slightly modified version of the QWERTY
    English layout to be used along with the ml-pn-c input method
  * ** New input methods are added.
  * ks-kbd: Fix typo in description, add icon.
  * ug-kbd: Add icon.
  * tai-sonla-kbd.png: Add icon.
  * mni-inscript2-mtei.png: Add icon.
  * sat-inscript2-olck.png: Add icon.
  * or-phonetic.png: Add icon.
  * sa-harvard-kyoto.png: Add icon.
  * pa-anmollipi.png: Add icon.
  * pa-remington.png: Add icon.
  * si-singlish.png: Add icon.
  * ta-lk-renganathan.png: Add icon.
  * te-rts.png: Add icon.
  * vi-han.png: Add icon.
  * vi-nomvni: Make existing icon work.
  * vi-nomtelex: Make existing icon work.
  * lsymbol: Add icon.
  * ssymbol: Add icon.
  * kok-inscript2-deva, mr-inscript, mr-inscript2: Fix digit 0
  * ta-vutam: Change the header comment to a description
  * mr-gamabhana: icon resized to 48x48
  * latn1-pre: add icon
  * ar-translit: add icon
  * ath-phonetic: add icon
  * bla-phonetic: add icon
  * cr-western: add icon
  * iu-phonetic: add icon
  * nsk-phonetic: add icon
  * oj-phonetic: add icon
  * uk-kbd: add icon
  * eo-vi-sistemo: add icon
  * Rename the .mim files of some eo input methods to improve
    search for the icons
  * Workarounds for doxygen
  * Update some links to fonts in the documentation
* Tue May 30 2023 Dirk Müller <dmueller@suse.com>
- update to 1.8.2:
  * New input methods are added.
  * si-sayura.mim: Sinhala input method using the sayura
    transliteration system, see https://www.sayura.net/im/
  * mr-gamabhana.mim: Marathi input method with GaMaBhaNa
  * bn-national-jatiya.mim: Bengali input method National Jatiya
    layout
  * hu-rovas-post: icon added.
  * kn-inscript.mim: Add mapping for ZWNJ
  * gu-itrans.mim: Fix e o mappings
  * bo-ewts.mim: Fix ld mapping
  * bo-ewts.mim: remove whitespace in rn and brn mapping
  * Changes in the build system.
  * pa-remington.mim: Punjabi input method for remington layout
  * ta-remington.mim: Tamil input method for Remington typewriter
    layout
  * as-inscript2.mim: Input method for enhanced inscript layout
  * bn-inscript2.mim: Input method for enhanced inscript layout
  * brx-inscript2-deva.mim: Input method for enhanced inscript
    layout
  * doi-inscript2-deva.mim: Input method for enhanced inscript
    layout
  * gu-inscript2.mim: Input method for enhanced inscript layout
  * hi-inscript2.mim: Input method for enhanced inscript layout
  * kn-inscript2.mim: Input method for enhanced inscript layout
  * kok-inscript2-deva.mim: Input method for enhanced inscript
    layout
  * ks-inscript2-deva.mim: Input method for enhanced inscript
    layout
  * mai-inscript2.mim: Input method for enhanced inscript layout
  * ml-inscript2.mim: Input method for enhanced inscript layout
  * mni-inscript2-beng.mim: Input method for enhanced inscript
    layout
  * mni-inscript2-mtei.mim: Input method for enhanced inscript
    layout
  * mr-inscript2.mim: Input method for enhanced inscript layout
  * ne-inscript2-deva.mim: Input method for enhanced inscript
    layout
  * or-inscript2.mim: Input method for enhanced inscript layout
  * pa-inscript2-guru.mim: Input method for enhanced inscript
    layout
  * sa-inscript2.mim: Input method for enhanced inscript layout
  * sat-inscript2-deva.mim: Input method for enhanced inscript
    layout
  * sat-inscript2-olck.mim: Input method for enhanced inscript
    layout
  * sd-inscript2-deva.mim: Input method for enhanced inscript
    layout
  * ta-inscript2.mim: Input method for enhanced inscript layout
  * te-inscript2.mim: Input method for enhanced inscript layout
  * ml-swanalekha.mim: Adjusted for the latest Unicode
  * unicode.mim: allow input of characters above the BMP
  * ar-kbd.mim: Use digits 0-9 on the 0-9 keys
  * ml-mozhi.mim: fix spurious ZWNJ being added (Resolves:
    https://savannah.nongnu.org/bugs/index.php?59681)
* Mon Aug 24 2020 Dirk Mueller <dmueller@suse.com>
- update to 1.8.0:
  * * New input methods are added.
  mr-remigton.mim: Marathi input method for remington layout
  mr-typewriter.mim: Marathi input method for typewriter layout
  ne-rom-translit.mim: Nepali input method with roman transliteration
  ne-trad.mim: Nepali input method for traditional layout
  kn-optitransv2.mim: Kannada input method by the OPTITRANS transliteration system
  hi-optitransv2.mim: Hindi input method  by the OPTITRANS transliteration system
  ml-enhanced-inscript.mim: Malayalam input method for enhanced inscript layout
  * * This input method is largely augmented.
  lsymbol.mim: Add many symbols.
  uk-kbd.mim: renamed from ua-kbd to uk-kbd
  zh-zhuyin.mim: renamed from zh-bopomofo to zh-zhuyin
* Sat Feb 22 2020 Bjørn Lie <bjorn.lie@gmail.com>
- No longer recommend -lang: supplements are in use.
- Run spec-cleaner, modernize spec.
* Sun Mar  1 2015 p.drouand@gmail.com
- Update to version 1.7.0
  * ar-translit.mim: Arabic input method based on Roman transliteration.
  * latn1-pre.mim: Latin input method simulating "US International Keyboard".
  * ssymbol.mim, lsymbol.mim: Input method for various symbols.
  * fallback-input-method: Comma separated fallback input method names.
* Sun Dec 15 2013 i@marguerite.su
- add provides/obsoletes as coolo told.
  * from 1.6.5, m17n-db will replace m17n-contrib completely
* Wed Dec 11 2013 hillwood@linuxfans.org
- update to 1.6.5
  * New icon files
  * New input method
  * MIM/as-inscript.mim, MIM/as-phonetic.mim, MIM/ath-phonetic.mim,
  MIM/be-kbd.mim, MIM/bla-phonetic.mim, MIM/bn-disha.mim,
  MIM/bn-inscript.mim, MIM/bn-probhat.mim, MIM/bo-ewts.mim,
  MIM/cr-western.mim, MIM/cs-kbd.mim, MIM/eo-h-f.mim, MIM/eo-h.mim,
  MIM/eo-plena.mim, MIM/eo-q.mim, MIM/eo-vi.mim, MIM/eo-x.mim,
  MIM/gu-inscript.mim, MIM/gu-phonetic.mim, MIM/hi-inscript.mim,
  MIM/hi-phonetic.mim, MIM/hi-remington.mim, MIM/hi-vedmata.mim,
  MIM/ii-phonetic.mim, MIM/iu-phonetic.mim, MIM/kn-inscript.mim,
  MIM/kn-kgp.mim, MIM/kn-typewriter.mim, MIM/ks-inscript.mim,
  MIM/ks-kbd.mim, MIM/mai-inscript.mim, MIM/math-latex.mim,
  MIM/ml-inscript.mim, MIM/ml-mozhi.mim, MIM/ml-swanalekha.mim,
  MIM/mr-inscript.mim, MIM/mr-itrans.mim, MIM/mr-phonetic.mim,
  MIM/ne-rom.mim, MIM/ne-trad.mim, MIM/nsk-phonetic.mim,
  MIM/oj-phonetic.mim, MIM/or-inscript.mim, MIM/or-phonetic.mim,
  MIM/pa-anmollipi.mim, MIM/pa-inscript.mim, MIM/pa-jhelum.mim,
  MIM/pa-phonetic.mim, MIM/ps-phonetic.mim, MIM/ru-translit.mim,
  MIM/sa-iast.mim, MIM/sd-inscript.mim, MIM/si-phonetic-dynamic.mim,
  MIM/si-singlish.mim, MIM/si-sumihiri.mim, MIM/si-trans.mim,
  MIM/ta-inscript.mim, MIM/ta-phonetic.mim, MIM/ta-tamil99.mim,
  MIM/ta-typewriter.mim, MIM/ta-vutam.mim, MIM/tai-sonla.mim,
  MIM/te-apple.mim, MIM/te-inscript.mim, MIM/te-pothana.mim,
  MIM/te-rts.mim, MIM/te-sarala.mim, MIM/ur-phonetic.mim,
  MIM/uz-kbd.mim, MIM/vi-han.mim, MIM/vi-nom-vni.mim,
  MIM/vi-nom.mim, MIM/yi-yivo.mim, MIM/zh-pinyin-vi.mim,
  MIM/zh-zhuyin.mim: Merged from the m17n-contrib package.
  * MIM/yi-yivo.mim: Add various maps.
  * and more...
* Mon Jul  1 2013 i@marguerite.su
- update version 1.6.4
  * MIM/am-sera.mim: Correct the mapping of "a" from U+12A3 to U+12A0.
  * MIM/si-wijesekera.mim:
    Add alt-gr mappings (G- ) to correspond to alt mappings (A- ).
* Wed Mar  6 2013 coolo@suse.com
- update license to new format
* Tue Jan 31 2012 tiwai@suse.de
- updated to version 1.6.3:
  Minor bugs fixed and several new input methods added.
* Tue Aug  2 2011 tiwai@suse.de
- updated to version 1.6.2: bug fix release;
  see ChangeLog for details
- clean up spec file
* Thu Apr 22 2010 tiwai@suse.de
- updated to version 1.6.1:
  * corresponding to m17n-lib-1.6.0, a few bug fixes
* Thu Dec 17 2009 jengelh@medozas.de
- enable parallel building
* Mon Nov 17 2008 mfabian@suse.de
- bnc#429430: change ar-kbd input method to agree with
  http://en.wikipedia.org/wiki/Image:KB_Arabic.svg
  ([] and {} are reverted).
* Mon Oct 27 2008 mfabian@suse.de
- update to m17n-db 1.5.3.
  • bugfixes
  • New input method sa-harvard-kyoto.mim (Sanskrit)
- bzip2 sources.
* Thu Feb 28 2008 schwab@suse.de
- Update to m17n-db 1.5.1.
  * A new FLT is added.
    COMBINING.flt (For combining diacritical marks)
    CHAM-GENERIC.flt (For Cham script)
  * A new input method is added.
    vi-tcvn.mim (Vietnamese)
    cmc-kbd.mim (Cham)
* Thu Aug  2 2007 mfabian@suse.de
- make package noarch, move m17n-db.pc file to datadir
  (/usr/share/pkgconfig/m17n-db.pc).
* Wed Aug  1 2007 mfabian@suse.de
- update to 1.4.0:
  • Several new input methods are added.
    da-post.mim (Danish)
    bo-ewts.mim (Tibetan)
    fr-azerty.mim (French)
  • New database for language names.
* Tue Jan  9 2007 mfabian@suse.de
- update to 1.3.4:
  • several new input methods were added:
    grc-mizuochi.mim (Greek)
    ja-trycode.mim (Japanese)
    ru-phonetic.mim (Russian)
    si-wijesekera-preedit.mim (Sinhala)
    th-kesmanee-2.mim, th-pattachote.mim th-pattachote-2.mim (Thai)
    th-tis820.mim th-tis820-2.mim (Thai)
    ug-kbd.mim (Uyghur)
    zh-bopomofo.mim (Chinese bopomofo, renamed from bopo-kbd.mim)
  • several new FLTs were added:
    LAOO-OTF.flt (Lao)
    THAI-OTF.flt (Thai)
* Mon Aug 28 2006 mfabian@suse.de
- update to 1.3.3.20060828:
  • several new input methods are added
  (ru-phonetic.mim (Russian)).
* Tue Jun 20 2006 mfabian@suse.de
- update to 1.3.3.20060620:
  + m17n-db.pc file has been added
  + a few minor bugfixes
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 mfabian@suse.de
- update to 1.3.0.20060113.
* Fri Jan 13 2006 mfabian@suse.de
- update to 1.3.0.
* Tue Dec 28 2004 mfabian@suse.de
- update to 1.2.0.
* Fri Dec 24 2004 mfabian@suse.de
- update to 1.1.0.20041223
- add a latin-prefix input method which behaves like the
  latin-9-prefix input method in Emacs.
* Tue Aug 17 2004 mfabian@suse.de
- update to 1.1.0.
* Mon Aug 16 2004 mfabian@suse.de
- new package: m17n-db, version 1.0.2.
